const { MongoClient } = require('mongodb');
const {
  MONGO_HOST,
  MONGO_PORT,
  MONGO_USER,
  MONGO_PASS,
  MONGO_DB,
} = process.env;

const uri = `mongodb://${MONGO_USER}:${MONGO_PASS}@${MONGO_HOST}:${MONGO_PORT}/?maxPoolSize=20`;

module.exports = {
  getMongoConnection: async() => {
    const client = new MongoClient(uri);
    return await client.connect();
  },
  getMongoDatabase: (client, db) => {
    const DB = db || MONGO_DB || 'lsa_leaderboard';
    return client.db(DB);
  }
};