require('dotenv').config();

const express = require("express");
const bodyParser = require("body-parser");
const cors = require("cors");

const ivaoRoutes = require('./app/routes/ivao');

const app = express();

// parse application/json
app.use(bodyParser.json());

// parse application/x-www-form-urlencoded
app.use(bodyParser.urlencoded({ extended: true }));

var corsOptions = {
  origin: 'http://localhost:3000'
};
// use cors options
app.use(cors(corsOptions));
app.use(express.static('assets'));




// routes
app.use('/api/v1/ivao', ivaoRoutes);

// listening port
const PORT = process.env.PORT || 3000;
app.listen(PORT, () => {
  console.log(`Server is running on port ${PORT}.`);
});